"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _isInteger2 = _interopRequireDefault(require("lodash/isInteger"));

var _attribute = _interopRequireDefault(require("./../attribute"));

class IntegerAttribute extends _attribute.default {
  async validateType(value) {
    !(0, _isInteger2.default)(value) && this.expected("integer", typeof value);
  }

}

var _default = IntegerAttribute;
exports.default = _default;
//# sourceMappingURL=integerAttribute.js.map