"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

class ModelError extends Error {
  constructor(message = "", code = "", data = null) {
    super();
    this.message = message;
    this.code = code;
    this.data = data;
  }

}

ModelError.INVALID_ATTRIBUTE = "INVALID_ATTRIBUTE";
ModelError.INVALID_ATTRIBUTES = "INVALID_ATTRIBUTES";
ModelError.ATTRIBUTE_NOT_FOUND = "ATTRIBUTE_NOT_FOUND";
ModelError.POPULATE_FAILED_NOT_OBJECT = "POPULATE_FAILED_NOT_OBJECT";
var _default = ModelError;
exports.default = _default;
//# sourceMappingURL=modelError.js.map