"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _isBoolean2 = _interopRequireDefault(require("lodash/isBoolean"));

var _attribute = _interopRequireDefault(require("./../attribute"));

class BooleanAttribute extends _attribute.default {
  async validateType(value) {
    !(0, _isBoolean2.default)(value) && this.expected("boolean", typeof value);
  }

}

var _default = BooleanAttribute;
exports.default = _default;
//# sourceMappingURL=booleanAttribute.js.map