"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _isNumber2 = _interopRequireDefault(require("lodash/isNumber"));

var _attribute = _interopRequireDefault(require("./../attribute"));

class FloatAttribute extends _attribute.default {
  async validateType(value) {
    // As long it is a number, it's good because JS has only one type of numbers.
    !(0, _isNumber2.default)(value) && this.expected("float", typeof value);
  }

}

var _default = FloatAttribute;
exports.default = _default;
//# sourceMappingURL=floatAttribute.js.map