"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _webinyModel = require("webiny-model");

class ModelAttributeValue extends _webinyModel.AttributeValue {
  isDifferentFrom(value) {
    if (value instanceof _webinyModel.Model) {
      if (this.current instanceof _webinyModel.Model) {
        return true;
      }

      return true;
    }

    return value !== this.current;
  }

  isDirty() {
    if (super.isDirty()) {
      return true;
    }

    return this.current instanceof _webinyModel.Model && this.current.isDirty();
  }

  isClean() {
    return !this.isDirty();
  }

}

var _default = ModelAttributeValue;
exports.default = _default;
//# sourceMappingURL=modelAttributeValue.js.map